%define major 1
%define libname %mklibname x86emu %{major}
%define develname %mklibname x86emu -d

Name:           libx86emu
License:        BSD
Group:          System/Libraries
Summary:        A small x86 emulation library
Version:        1.11
Release:        %mkrel 1
URL:		https://github.com/wfeldt/libx86emu.git
Source:         %{name}-%{version}.tar.xz
 
%description
Small x86 emulation library with focus of easy usage and extended
execution logging functions.
 
%package -n     %{libname}
License:        BSD 3-Clause
Summary:        A small x86 emulation library
Group:          System/Libraries
 
%description -n %{libname}
Small x86 emulation library with focus of easy usage and extended
execution logging functions.

%package -n     %{develname}
License:        BSD
Summary:        Headers for %{name}
Group:          System/Libraries
Provides: 	%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
 
%description -n %{develname}
Devel files for %{name}
 
%prep
%setup -q 
 
%build
make LIBDIR=%{_libdir}
 
%install
install -d -m 755 %{buildroot}%{_libdir}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}
 
%files -n %{develname}
%{_libdir}/%{name}.so
%{_includedir}/x86emu.h
%doc README.md LICENSE


%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.11-1.mga6
+ Revision: 1045660
- 1.11

* Mon May 09 2016 luigiwalser <luigiwalser> 1.10-1.mga6
+ Revision: 1011494
- 1.10

* Thu Dec 24 2015 luigiwalser <luigiwalser> 1.6-1.mga6
+ Revision: 914487
- 1.6
- use source tarball from opensuse (includes VERSION file)

* Wed Oct 15 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 748992
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 681865
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.4-1.mga5
+ Revision: 591527
- 1.4 (fixes "avoid using reserved c++ words")
- update URL

* Fri Oct 18 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 507451
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3-2.mga3
+ Revision: 358505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 1.3-1.mga3
+ Revision: 305001
- add url

* Sun Feb 20 2011 mikala <mikala> 1.3-1.mga1
+ Revision: 54484
- imported package libx86emu

